public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/proj/guru:dev commit in: sys-power/amdfan/
@ 2024-03-09  1:15 Mazunki Hoksaas
  0 siblings, 0 replies; 9+ messages in thread
From: Mazunki Hoksaas @ 2024-03-09  1:15 UTC (permalink / raw
  To: gentoo-commits

commit:     687104687ffab078a55e740dc4221a40887d7c9f
Author:     Mazunki Hoksaas <rolferen <AT> gmail <DOT> com>
AuthorDate: Sat Mar  9 01:13:24 2024 +0000
Commit:     Mazunki Hoksaas <rolferen <AT> gmail <DOT> com>
CommitDate: Sat Mar  9 01:14:56 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=68710468

sys-power/amdfan: new package, add 0.1.27

Signed-off-by: Mazunki Hoksaas <rolferen <AT> gmail.com>

 sys-power/amdfan/Manifest             |  1 +
 sys-power/amdfan/amdfan-0.1.27.ebuild | 44 +++++++++++++++++++++++++++++++++++
 sys-power/amdfan/metadata.xml         | 12 ++++++++++
 3 files changed, 57 insertions(+)

diff --git a/sys-power/amdfan/Manifest b/sys-power/amdfan/Manifest
new file mode 100644
index 0000000000..69ef6c1a65
--- /dev/null
+++ b/sys-power/amdfan/Manifest
@@ -0,0 +1 @@
+DIST amdfan-0.1.27.tar.gz 81422 BLAKE2B ab910e8a051f5c8a976425c30c141bc025ecea551f2390e625a36ee767c6a9a106eb4aee9dee5177824d46a2608201888c26672b614972d96598513625db898e SHA512 0a58aea4e53d830470d051292fe966fcf2d5b5094adb9181bf847d7f4467f2fda1e6a87e501c873337b0720ba84a3f7966a92832ed156b96b416107e232b22b0

diff --git a/sys-power/amdfan/amdfan-0.1.27.ebuild b/sys-power/amdfan/amdfan-0.1.27.ebuild
new file mode 100644
index 0000000000..85805d5f13
--- /dev/null
+++ b/sys-power/amdfan/amdfan-0.1.27.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1 systemd
+
+DESCRIPTION="Updated AMD Fan control utility forked from amdgpu-fan and updated. "
+HOMEPAGE="https://mcgillij.dev/pages/amdfan.html"
+SRC_URI="https://github.com/mcgillij/amdfan/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+	${PYTHON_DEPS}
+	dev-python/numpy[${PYTHON_USEDEP}]
+	dev-python/pyyaml[${PYTHON_USEDEP}]
+	dev-python/click[${PYTHON_USEDEP}]
+	dev-python/rich[${PYTHON_USEDEP}]
+"
+DEPEND="${PYTHON_DEPS}"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+DOCS=( README.md )
+
+distutils_enable_tests unittest
+
+src_prepare() {
+	distutils-r1_src_prepare
+}
+
+python_install_all() {
+	distutils-r1_python_install_all
+	systemd_dounit src/amdfan/amdfan.service
+}
+
+python_test() {
+	"${EPYTHON}" -m unittest discover tests || die
+}

diff --git a/sys-power/amdfan/metadata.xml b/sys-power/amdfan/metadata.xml
new file mode 100644
index 0000000000..b6dc73fbf7
--- /dev/null
+++ b/sys-power/amdfan/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>rolferen@gmail.com</email>
+		<name>Mazunki Hoksaas</name>
+	</maintainer>
+	<upstream>
+		<bugs-to>https://github.com/mcgillij/amdfan/issues</bugs-to>
+		<remote-id type="github">mcgillij/amdfan</remote-id>
+	</upstream>
+</pkgmetadata>


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: sys-power/amdfan/
@ 2024-05-08 17:08 Mazunki Hoksaas
  0 siblings, 0 replies; 9+ messages in thread
From: Mazunki Hoksaas @ 2024-05-08 17:08 UTC (permalink / raw
  To: gentoo-commits

commit:     c4f0844c0bdea28a01b1df1f0ecdd8313ac81d99
Author:     Mazunki Hoksaas <rolferen <AT> gmail <DOT> com>
AuthorDate: Wed May  8 17:05:48 2024 +0000
Commit:     Mazunki Hoksaas <rolferen <AT> gmail <DOT> com>
CommitDate: Wed May  8 17:08:01 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=c4f0844c

sys-power/amdfan: drop 0.1.27

Signed-off-by: Mazunki Hoksaas <rolferen <AT> gmail.com>

 sys-power/amdfan/Manifest             |  1 -
 sys-power/amdfan/amdfan-0.1.27.ebuild | 44 -----------------------------------
 2 files changed, 45 deletions(-)

diff --git a/sys-power/amdfan/Manifest b/sys-power/amdfan/Manifest
index e97e1a3cd2..dae0c403fc 100644
--- a/sys-power/amdfan/Manifest
+++ b/sys-power/amdfan/Manifest
@@ -1,2 +1 @@
-DIST amdfan-0.1.27.tar.gz 81422 BLAKE2B ab910e8a051f5c8a976425c30c141bc025ecea551f2390e625a36ee767c6a9a106eb4aee9dee5177824d46a2608201888c26672b614972d96598513625db898e SHA512 0a58aea4e53d830470d051292fe966fcf2d5b5094adb9181bf847d7f4467f2fda1e6a87e501c873337b0720ba84a3f7966a92832ed156b96b416107e232b22b0
 DIST amdfan-0.1.28.tar.gz 81901 BLAKE2B 84e461a2f230e560c80badd99ec658774e5b46785a78387d6906d8ebe8a855f1e421a33872246af2a96ff06790615ad47a7d3d248e97a615c78a4ff9de8f641e SHA512 214b4940e747a8c8c0083d1cd90e78a3080e6b6b56031fff42f6bdca867e47ba81defb490e7704786f6e2a2c9634d990d53cbcfbc24c2c43d4ec9691023c06d8

diff --git a/sys-power/amdfan/amdfan-0.1.27.ebuild b/sys-power/amdfan/amdfan-0.1.27.ebuild
deleted file mode 100644
index 85805d5f13..0000000000
--- a/sys-power/amdfan/amdfan-0.1.27.ebuild
+++ /dev/null
@@ -1,44 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=poetry
-PYTHON_COMPAT=( python3_{9..11} )
-
-inherit distutils-r1 systemd
-
-DESCRIPTION="Updated AMD Fan control utility forked from amdgpu-fan and updated. "
-HOMEPAGE="https://mcgillij.dev/pages/amdfan.html"
-SRC_URI="https://github.com/mcgillij/amdfan/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64"
-
-RDEPEND="
-	${PYTHON_DEPS}
-	dev-python/numpy[${PYTHON_USEDEP}]
-	dev-python/pyyaml[${PYTHON_USEDEP}]
-	dev-python/click[${PYTHON_USEDEP}]
-	dev-python/rich[${PYTHON_USEDEP}]
-"
-DEPEND="${PYTHON_DEPS}"
-
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-DOCS=( README.md )
-
-distutils_enable_tests unittest
-
-src_prepare() {
-	distutils-r1_src_prepare
-}
-
-python_install_all() {
-	distutils-r1_python_install_all
-	systemd_dounit src/amdfan/amdfan.service
-}
-
-python_test() {
-	"${EPYTHON}" -m unittest discover tests || die
-}


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: sys-power/amdfan/
@ 2024-05-08 17:08 Mazunki Hoksaas
  0 siblings, 0 replies; 9+ messages in thread
From: Mazunki Hoksaas @ 2024-05-08 17:08 UTC (permalink / raw
  To: gentoo-commits

commit:     0f0086abaa630e77bad3a622c7bd39a575456098
Author:     Mazunki Hoksaas <rolferen <AT> gmail <DOT> com>
AuthorDate: Wed May  8 17:04:23 2024 +0000
Commit:     Mazunki Hoksaas <rolferen <AT> gmail <DOT> com>
CommitDate: Wed May  8 17:08:01 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=0f0086ab

sys-power/amdfan: add 0.1.28

Closes: https://bugs.gentoo.org/931483
Signed-off-by: Mazunki Hoksaas <rolferen <AT> gmail.com>

 sys-power/amdfan/Manifest             |  1 +
 sys-power/amdfan/amdfan-0.1.28.ebuild | 44 +++++++++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/sys-power/amdfan/Manifest b/sys-power/amdfan/Manifest
index 69ef6c1a65..e97e1a3cd2 100644
--- a/sys-power/amdfan/Manifest
+++ b/sys-power/amdfan/Manifest
@@ -1 +1,2 @@
 DIST amdfan-0.1.27.tar.gz 81422 BLAKE2B ab910e8a051f5c8a976425c30c141bc025ecea551f2390e625a36ee767c6a9a106eb4aee9dee5177824d46a2608201888c26672b614972d96598513625db898e SHA512 0a58aea4e53d830470d051292fe966fcf2d5b5094adb9181bf847d7f4467f2fda1e6a87e501c873337b0720ba84a3f7966a92832ed156b96b416107e232b22b0
+DIST amdfan-0.1.28.tar.gz 81901 BLAKE2B 84e461a2f230e560c80badd99ec658774e5b46785a78387d6906d8ebe8a855f1e421a33872246af2a96ff06790615ad47a7d3d248e97a615c78a4ff9de8f641e SHA512 214b4940e747a8c8c0083d1cd90e78a3080e6b6b56031fff42f6bdca867e47ba81defb490e7704786f6e2a2c9634d990d53cbcfbc24c2c43d4ec9691023c06d8

diff --git a/sys-power/amdfan/amdfan-0.1.28.ebuild b/sys-power/amdfan/amdfan-0.1.28.ebuild
new file mode 100644
index 0000000000..027f4766a8
--- /dev/null
+++ b/sys-power/amdfan/amdfan-0.1.28.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 systemd
+
+DESCRIPTION="Updated AMD Fan control utility forked from amdgpu-fan and updated. "
+HOMEPAGE="https://mcgillij.dev/pages/amdfan.html"
+SRC_URI="https://github.com/mcgillij/amdfan/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+	${PYTHON_DEPS}
+	dev-python/numpy[${PYTHON_USEDEP}]
+	dev-python/pyyaml[${PYTHON_USEDEP}]
+	dev-python/click[${PYTHON_USEDEP}]
+	dev-python/rich[${PYTHON_USEDEP}]
+"
+DEPEND="${PYTHON_DEPS}"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+DOCS=( README.md )
+
+distutils_enable_tests unittest
+
+src_prepare() {
+	distutils-r1_src_prepare
+}
+
+python_install_all() {
+	distutils-r1_python_install_all
+	systemd_dounit src/amdfan/amdfan.service
+}
+
+python_test() {
+	"${EPYTHON}" -m unittest discover tests || die
+}


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: sys-power/amdfan/
@ 2024-07-26 21:09 Mazunki Hoksaas
  0 siblings, 0 replies; 9+ messages in thread
From: Mazunki Hoksaas @ 2024-07-26 21:09 UTC (permalink / raw
  To: gentoo-commits

commit:     3d9319fdbff80eade49cc3bd213d9941fb773a1e
Author:     Mazunki Hoksaas <rolferen <AT> gmail <DOT> com>
AuthorDate: Fri Jul 26 21:09:27 2024 +0000
Commit:     Mazunki Hoksaas <rolferen <AT> gmail <DOT> com>
CommitDate: Fri Jul 26 21:09:39 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=3d9319fd

sys-power/amdfan: update Manifest

Signed-off-by: Mazunki Hoksaas <rolferen <AT> gmail.com>

 sys-power/amdfan/Manifest | 1 +
 1 file changed, 1 insertion(+)

diff --git a/sys-power/amdfan/Manifest b/sys-power/amdfan/Manifest
index dae0c403f..9b7d21f1c 100644
--- a/sys-power/amdfan/Manifest
+++ b/sys-power/amdfan/Manifest
@@ -1 +1,2 @@
 DIST amdfan-0.1.28.tar.gz 81901 BLAKE2B 84e461a2f230e560c80badd99ec658774e5b46785a78387d6906d8ebe8a855f1e421a33872246af2a96ff06790615ad47a7d3d248e97a615c78a4ff9de8f641e SHA512 214b4940e747a8c8c0083d1cd90e78a3080e6b6b56031fff42f6bdca867e47ba81defb490e7704786f6e2a2c9634d990d53cbcfbc24c2c43d4ec9691023c06d8
+DIST amdfan-0.2.1.tar.gz 83709 BLAKE2B 962598cac033e176314202ef66d2a0a1bc7f1bc6897a3d792a33dc08998c690efe5634d40fed55f5c1b959ca12782215d8521ef6721186350098ef529f093e9f SHA512 afff7abd657e44ef5ba328af10683dda90e398853427c04773634b487f83d14ab5d60cbe32c3926277c5b5b9b8fa3331c86ebdc6d7ab57ddf56b88c150e5d03c


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: sys-power/amdfan/
@ 2024-07-26 23:43 Mazunki Hoksaas
  0 siblings, 0 replies; 9+ messages in thread
From: Mazunki Hoksaas @ 2024-07-26 23:43 UTC (permalink / raw
  To: gentoo-commits

commit:     ed47497c6d30a010cf5a4c46c8a5cd4f02d33165
Author:     Mazunki Hoksaas <rolferen <AT> gmail <DOT> com>
AuthorDate: Fri Jul 26 23:43:11 2024 +0000
Commit:     Mazunki Hoksaas <rolferen <AT> gmail <DOT> com>
CommitDate: Fri Jul 26 23:43:21 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=ed47497c

sys-power/amdfan: add 0.2.1

Signed-off-by: Mazunki Hoksaas <rolferen <AT> gmail.com>

 sys-power/amdfan/amdfan-0.2.1.ebuild | 58 ++++++++++++++++++++++++++++++++++++
 1 file changed, 58 insertions(+)

diff --git a/sys-power/amdfan/amdfan-0.2.1.ebuild b/sys-power/amdfan/amdfan-0.2.1.ebuild
new file mode 100644
index 000000000..b023cb033
--- /dev/null
+++ b/sys-power/amdfan/amdfan-0.2.1.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 systemd autotools
+
+DESCRIPTION="Updated AMD Fan control utility forked from amdgpu-fan and updated. "
+HOMEPAGE="https://mcgillij.dev/pages/amdfan.html"
+SRC_URI="https://github.com/mcgillij/amdfan/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+	${PYTHON_DEPS}
+	dev-python/numpy[${PYTHON_USEDEP}]
+	dev-python/pyyaml[${PYTHON_USEDEP}]
+	dev-python/click[${PYTHON_USEDEP}]
+	dev-python/rich[${PYTHON_USEDEP}]
+"
+DEPEND="${PYTHON_DEPS}"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+DOCS=( README.md )
+
+distutils_enable_tests unittest
+
+src_prepare() {
+	default
+
+	sed -i '/^include = \["dist\/systemd\/amdfan.service"\]$/d' pyproject.toml || die
+
+	eautoreconf
+}
+
+src_configure() {
+	econf
+}
+
+python_install_all() {
+	distutils-r1_python_install_all
+}
+
+python_install_all() {
+	default
+
+	newinitd dist/openrc/amdfan amdfan
+	systemd_dounit dist/systemd/amdfan.service
+}
+
+python_test() {
+	"${EPYTHON}" -m unittest discover tests || die
+}


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: sys-power/amdfan/
@ 2024-07-26 23:49 Mazunki Hoksaas
  0 siblings, 0 replies; 9+ messages in thread
From: Mazunki Hoksaas @ 2024-07-26 23:49 UTC (permalink / raw
  To: gentoo-commits

commit:     0caf5e235c72b39a7381cb07a6139b86508619f4
Author:     Mazunki Hoksaas <rolferen <AT> gmail <DOT> com>
AuthorDate: Fri Jul 26 23:48:45 2024 +0000
Commit:     Mazunki Hoksaas <rolferen <AT> gmail <DOT> com>
CommitDate: Fri Jul 26 23:48:45 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=0caf5e23

sys-power/amdfan: fix wrong src_install

i will likely rev this ebuild in a few days

Signed-off-by: Mazunki Hoksaas <rolferen <AT> gmail.com>

 sys-power/amdfan/{amdfan-0.2.1.ebuild => amdfan-0.2.1-r1.ebuild} | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sys-power/amdfan/amdfan-0.2.1.ebuild b/sys-power/amdfan/amdfan-0.2.1-r1.ebuild
similarity index 98%
rename from sys-power/amdfan/amdfan-0.2.1.ebuild
rename to sys-power/amdfan/amdfan-0.2.1-r1.ebuild
index b023cb033..4ce851552 100644
--- a/sys-power/amdfan/amdfan-0.2.1.ebuild
+++ b/sys-power/amdfan/amdfan-0.2.1-r1.ebuild
@@ -46,7 +46,7 @@ python_install_all() {
 	distutils-r1_python_install_all
 }
 
-python_install_all() {
+src_install() {
 	default
 
 	newinitd dist/openrc/amdfan amdfan


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: sys-power/amdfan/
@ 2024-07-28 18:22 Philippe-Alexandre Mathieu
  0 siblings, 0 replies; 9+ messages in thread
From: Philippe-Alexandre Mathieu @ 2024-07-28 18:22 UTC (permalink / raw
  To: gentoo-commits

commit:     6fa58a9dddce5d2d6f42c38c07a5bc596d028c83
Author:     Philippe-Alexandre Mathieu <pamathieu <AT> poum <DOT> ca>
AuthorDate: Sun Jul 28 18:16:43 2024 +0000
Commit:     Philippe-Alexandre Mathieu <pamathieu <AT> poum <DOT> ca>
CommitDate: Sun Jul 28 18:16:43 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=6fa58a9d

sys-power/amdfan: remove py3.10 and add py3.13

Closes: https://bugs.gentoo.org/936809
Signed-off-by: Philippe-Alexandre Mathieu <pamathieu <AT> poum.ca>

 sys-power/amdfan/{amdfan-0.2.1-r1.ebuild => amdfan-0.2.1-r2.ebuild} | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sys-power/amdfan/amdfan-0.2.1-r1.ebuild b/sys-power/amdfan/amdfan-0.2.1-r2.ebuild
similarity index 96%
rename from sys-power/amdfan/amdfan-0.2.1-r1.ebuild
rename to sys-power/amdfan/amdfan-0.2.1-r2.ebuild
index 4ce851552..7b5c0dd97 100644
--- a/sys-power/amdfan/amdfan-0.2.1-r1.ebuild
+++ b/sys-power/amdfan/amdfan-0.2.1-r2.ebuild
@@ -4,7 +4,7 @@
 EAPI=8
 
 DISTUTILS_USE_PEP517=poetry
-PYTHON_COMPAT=( python3_{10..12} )
+PYTHON_COMPAT=( python3_{11..13} )
 
 inherit distutils-r1 systemd autotools
 


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: sys-power/amdfan/
@ 2024-08-01  2:43 Mazunki Hoksaas
  0 siblings, 0 replies; 9+ messages in thread
From: Mazunki Hoksaas @ 2024-08-01  2:43 UTC (permalink / raw
  To: gentoo-commits

commit:     ca9f5f2568b26d86f0417634b8b313cbd1c6d454
Author:     Mazunki Hoksaas <rolferen <AT> gmail <DOT> com>
AuthorDate: Thu Aug  1 02:39:51 2024 +0000
Commit:     Mazunki Hoksaas <rolferen <AT> gmail <DOT> com>
CommitDate: Thu Aug  1 02:39:54 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=ca9f5f25

sys-power/amdfan: drop 0.2.1-r2

this version was broken from the get-go. it didn't merge any binaries,
and the openrc service file included was incompatible with this package
version. it was pushed early accidentally

Signed-off-by: Mazunki Hoksaas <rolferen <AT> gmail.com>

 sys-power/amdfan/Manifest               |  1 -
 sys-power/amdfan/amdfan-0.2.1-r2.ebuild | 58 ---------------------------------
 2 files changed, 59 deletions(-)

diff --git a/sys-power/amdfan/Manifest b/sys-power/amdfan/Manifest
index 9b7d21f1c..dae0c403f 100644
--- a/sys-power/amdfan/Manifest
+++ b/sys-power/amdfan/Manifest
@@ -1,2 +1 @@
 DIST amdfan-0.1.28.tar.gz 81901 BLAKE2B 84e461a2f230e560c80badd99ec658774e5b46785a78387d6906d8ebe8a855f1e421a33872246af2a96ff06790615ad47a7d3d248e97a615c78a4ff9de8f641e SHA512 214b4940e747a8c8c0083d1cd90e78a3080e6b6b56031fff42f6bdca867e47ba81defb490e7704786f6e2a2c9634d990d53cbcfbc24c2c43d4ec9691023c06d8
-DIST amdfan-0.2.1.tar.gz 83709 BLAKE2B 962598cac033e176314202ef66d2a0a1bc7f1bc6897a3d792a33dc08998c690efe5634d40fed55f5c1b959ca12782215d8521ef6721186350098ef529f093e9f SHA512 afff7abd657e44ef5ba328af10683dda90e398853427c04773634b487f83d14ab5d60cbe32c3926277c5b5b9b8fa3331c86ebdc6d7ab57ddf56b88c150e5d03c

diff --git a/sys-power/amdfan/amdfan-0.2.1-r2.ebuild b/sys-power/amdfan/amdfan-0.2.1-r2.ebuild
deleted file mode 100644
index 7b5c0dd97..000000000
--- a/sys-power/amdfan/amdfan-0.2.1-r2.ebuild
+++ /dev/null
@@ -1,58 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=poetry
-PYTHON_COMPAT=( python3_{11..13} )
-
-inherit distutils-r1 systemd autotools
-
-DESCRIPTION="Updated AMD Fan control utility forked from amdgpu-fan and updated. "
-HOMEPAGE="https://mcgillij.dev/pages/amdfan.html"
-SRC_URI="https://github.com/mcgillij/amdfan/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64"
-
-RDEPEND="
-	${PYTHON_DEPS}
-	dev-python/numpy[${PYTHON_USEDEP}]
-	dev-python/pyyaml[${PYTHON_USEDEP}]
-	dev-python/click[${PYTHON_USEDEP}]
-	dev-python/rich[${PYTHON_USEDEP}]
-"
-DEPEND="${PYTHON_DEPS}"
-
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-DOCS=( README.md )
-
-distutils_enable_tests unittest
-
-src_prepare() {
-	default
-
-	sed -i '/^include = \["dist\/systemd\/amdfan.service"\]$/d' pyproject.toml || die
-
-	eautoreconf
-}
-
-src_configure() {
-	econf
-}
-
-python_install_all() {
-	distutils-r1_python_install_all
-}
-
-src_install() {
-	default
-
-	newinitd dist/openrc/amdfan amdfan
-	systemd_dounit dist/systemd/amdfan.service
-}
-
-python_test() {
-	"${EPYTHON}" -m unittest discover tests || die
-}


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: sys-power/amdfan/
@ 2024-08-01  2:43 Mazunki Hoksaas
  0 siblings, 0 replies; 9+ messages in thread
From: Mazunki Hoksaas @ 2024-08-01  2:43 UTC (permalink / raw
  To: gentoo-commits

commit:     618d7043f476c4f758e26dd71435ab5e7e8a39ee
Author:     Mazunki Hoksaas <rolferen <AT> gmail <DOT> com>
AuthorDate: Thu Aug  1 02:43:27 2024 +0000
Commit:     Mazunki Hoksaas <rolferen <AT> gmail <DOT> com>
CommitDate: Thu Aug  1 02:43:43 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=618d7043

sys-power/amdfan: add 0.2.3

sorry for the delay

Signed-off-by: Mazunki Hoksaas <rolferen <AT> gmail.com>

 sys-power/amdfan/Manifest            |  1 +
 sys-power/amdfan/amdfan-0.2.3.ebuild | 64 ++++++++++++++++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/sys-power/amdfan/Manifest b/sys-power/amdfan/Manifest
index dae0c403f..083226e29 100644
--- a/sys-power/amdfan/Manifest
+++ b/sys-power/amdfan/Manifest
@@ -1 +1,2 @@
 DIST amdfan-0.1.28.tar.gz 81901 BLAKE2B 84e461a2f230e560c80badd99ec658774e5b46785a78387d6906d8ebe8a855f1e421a33872246af2a96ff06790615ad47a7d3d248e97a615c78a4ff9de8f641e SHA512 214b4940e747a8c8c0083d1cd90e78a3080e6b6b56031fff42f6bdca867e47ba81defb490e7704786f6e2a2c9634d990d53cbcfbc24c2c43d4ec9691023c06d8
+DIST amdfan-0.2.3.tar.gz 85434 BLAKE2B 092a0f4123bb6e81688855ec868ddad3c55eee543fd9b5c81f4e0363c3e244b16fc8f2c82d1461a8471fa3074dc6cb47a6220d6740aabfa514f849e9075dfcf2 SHA512 fa46e89df1ea26b5fc6eec7596c8fec3c7d41e602210fb1544ca468f958739a97010616f3cefc30134199d9355281a7b572252b5b360b79f0f0029d3a825d970

diff --git a/sys-power/amdfan/amdfan-0.2.3.ebuild b/sys-power/amdfan/amdfan-0.2.3.ebuild
new file mode 100644
index 000000000..ff0e02ac7
--- /dev/null
+++ b/sys-power/amdfan/amdfan-0.2.3.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+# shellcheck disable=2034
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{11..12} )
+
+inherit distutils-r1 systemd autotools
+
+DESCRIPTION="Updated AMD Fan control utility forked from amdgpu-fan and updated."
+HOMEPAGE="https://mcgillij.dev/pages/amdfan.html"
+SRC_URI="https://github.com/mcgillij/amdfan/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+	${PYTHON_DEPS}
+	dev-python/numpy[${PYTHON_USEDEP}]
+	dev-python/pyyaml[${PYTHON_USEDEP}]
+	dev-python/click[${PYTHON_USEDEP}]
+	dev-python/rich[${PYTHON_USEDEP}]
+"
+DEPEND="${PYTHON_DEPS}"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+DOCS=( README.md )
+
+distutils_enable_tests unittest
+
+src_prepare() {
+	distutils-r1_src_prepare
+
+	# this sed isn't clean. i haven't used PATCHES for this, since we're
+	# hoping to find a better fix upstream. suggestions are welcome
+	#
+	# relevant discussion:
+	# https://github.com/mcgillij/amdfan/commit/529fd3d4#r144705633
+	sed -i '/^include = \["dist\/systemd\/amdfan.service"\]$/d' pyproject.toml || die
+
+	eautoreconf -vfi
+}
+
+src_configure() {
+	# i don't like hardcoding --bindir like this, but
+	# if i don't, i get ${exec_prefix}/bin instead of /usr/bin
+	#
+	# is there a better approach?
+	econf --bindir="${EPREFIX}"/usr/bin
+}
+
+src_install() {
+	newinitd dist/openrc/amdfan amdfan
+	systemd_dounit dist/systemd/amdfan.service
+
+	distutils-r1_src_install
+}
+
+python_test() {
+	"${EPYTHON}" -m unittest discover tests || die
+}


^ permalink raw reply related	[flat|nested] 9+ messages in thread

end of thread, other threads:[~2024-08-01  2:43 UTC | newest]

Thread overview: 9+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-08-01  2:43 [gentoo-commits] repo/proj/guru:dev commit in: sys-power/amdfan/ Mazunki Hoksaas
  -- strict thread matches above, loose matches on Subject: below --
2024-08-01  2:43 Mazunki Hoksaas
2024-07-28 18:22 Philippe-Alexandre Mathieu
2024-07-26 23:49 Mazunki Hoksaas
2024-07-26 23:43 Mazunki Hoksaas
2024-07-26 21:09 Mazunki Hoksaas
2024-05-08 17:08 Mazunki Hoksaas
2024-05-08 17:08 Mazunki Hoksaas
2024-03-09  1:15 Mazunki Hoksaas

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox